Gtk2::Gdk::Event::WindowState(3p)

NAME
Gtk2::Gdk::Event::WindowState

HIERARCHY
  Gtk2::Gdk::Event
  +----Gtk2::Gdk::Event::WindowState

METHODS

  windowstate = $eventwindowstate->new_window_state ($newvalue=0)

•   $newvalue (Gtk2::Gdk::WindowState)

  windowstate = $eventwindowstate->changed_mask ($newvalue=0)

•   $newvalue (Gtk2::Gdk::WindowState)

ENUMS AND FLAGS

  flags Gtk2::Gdk::WindowState

•   'withdrawn' / 'GDK_WINDOW_STATE_WITHDRAWN'

•   'iconified' / 'GDK_WINDOW_STATE_ICONIFIED'

•   'maximized' / 'GDK_WINDOW_STATE_MAXIMIZED'

•   'sticky' / 'GDK_WINDOW_STATE_STICKY'

•   'fullscreen' / 'GDK_WINDOW_STATE_FULLSCREEN'

•   'above' / 'GDK_WINDOW_STATE_ABOVE'

•   'below' / 'GDK_WINDOW_STATE_BELOW'

SEE ALSO
Gtk2

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.